Studio
Read shared linked conversation messages
Reads only explicitly attached shareable conversation history through the session share. Revocation of either grant denies access.
GET
/
api
/
v1
/
studio
/
sessions
/
shared
/
{shareId}
/
linked-chats
/
{linkId}
/
messages
Read shared linked conversation messages
curl --request GET \
--url https://api.revoengine.com/api/v1/studio/sessions/shared/{shareId}/linked-chats/{linkId}/messages \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/studio/sessions/shared/{shareId}/linked-chats/{linkId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/studio/sessions/shared/{shareId}/linked-chats/{linkId}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"link": {
"studioLinkedChatId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assistantThreadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"linkedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"linkedAt": "2023-11-07T05:31:56Z",
"kind": "SESSION_THREAD",
"access": "MEMBERS"
},
"data": [
{}
],
"next": true,
"results": 123,
"permissions": {
"canWrite": false,
"canFork": false
}
}Authorizations
Bearer JWT token or API Key (sk-*).
Query Parameters
Available options:
OPEN, ARCHIVED Required range:
1 <= x <= 100Required range:
x >= 0⌘I
Read shared linked conversation messages
curl --request GET \
--url https://api.revoengine.com/api/v1/studio/sessions/shared/{shareId}/linked-chats/{linkId}/messages \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/studio/sessions/shared/{shareId}/linked-chats/{linkId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/studio/sessions/shared/{shareId}/linked-chats/{linkId}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"link": {
"studioLinkedChatId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assistantThreadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"linkedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"linkedAt": "2023-11-07T05:31:56Z",
"kind": "SESSION_THREAD",
"access": "MEMBERS"
},
"data": [
{}
],
"next": true,
"results": 123,
"permissions": {
"canWrite": false,
"canFork": false
}
}
